[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'PairSplitter' (#lcl)

# TCustomPairSplitter.GetControlClassDefaultSize

Gets the default size for the control class.

## Declaration

Source position: pairsplitter.pas line 109

`protected class function TCustomPairSplitter.GetControlClassDefaultSize: TSize; override;`

## Function result

TSize type with the default Height and Width for instances of the class.

## Description

GetControlClassDefaultSize is a TSize class function used to get the default size for new instances of the class. GetControlClassDefaultSize stores the Width and Height using the CX and CY members in the TSize value. The default value in both CX and CY is 90 pixels.

GetControlClassDefaultSize is called from the Create constructor.

## See also

TCustomPairSplitter.Create |  | Constructor for the class instance.
TControl.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.
TSize